Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_AdminProperties Class Reference

TAO_Notify_AdminProperties. More...

`#include <Notify_AdminProperties.h>`

Collaboration diagram for TAO_Notify_AdminProperties:

[legend]
List of all members.

## Public Methods
| TAO_Notify_AdminProperties (void)
virtual | ~TAO_Notify_AdminProperties ()
virtual CosNotification::AdminProperties * | get_admin (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | set_admin (const CosNotification::AdminProperties &admin ACE_ENV_ARG_DECL) throw ( CORBA::SystemException, CosNotification::UnsupportedAdmin )
CORBA::Long | max_queue_length (void) const
CORBA::Long | max_consumers (void) const
CORBA::Long | max_suppliers (void) const
CORBA::Boolean | reject_new_events (void) const
TAO_Notify_Signal_Property_Long * | queue_length (void)
TAO_Notify_Property_Long * | consumers (void)
TAO_Notify_Property_Long * | suppliers (void)
CORBA::Boolean | queue_full (void)
| Returns true if Queue is full. More...
## Protected Attributes
CORBA::Long | max_queue_length_
| The maximum number of events that will be queued by the channel before the channel begins discarding events or rejecting new events upon receipt of each new event. More...
CORBA::Long | max_consumers_
| The maximum number of consumers that can be connected to the channel at any given time. More...
CORBA::Long | max_suppliers_
| The maximum number of suppliers that can be connected to the channel at any given time. More...
CORBA::Boolean | reject_new_events_
| Reject any new event. More...
TAO_Notify_Signal_Property_Long | queue_length_
| This is used to count the queue length across all buffers in the Notify Service to enforce the "MaxQueueLength" property. More...
TAO_Notify_Property_Long | consumers_
| These are used to count the number of consumers and suppliers connected to the system. More...
TAO_Notify_Property_Long | suppliers_

## Detailed Description

TAO_Notify_AdminProperties.

All the EC Admin properties are get/set via this class.

## Constructor & Destructor Documentation

TAO_Notify_AdminProperties::TAO_Notify_AdminProperties | ( | void |  | ) |

TAO_Notify_AdminProperties::~TAO_Notify_AdminProperties | ( |  | ) | `[virtual]`

## Member Function Documentation

TAO_Notify_Property_Long* TAO_Notify_AdminProperties::consumers | ( | void |  | ) |

CosNotification::AdminProperties * TAO_Notify_AdminProperties::get_admin | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[virtual]`

CORBA::Long TAO_Notify_AdminProperties::max_consumers | ( | void |  | ) | const

CORBA::Long TAO_Notify_AdminProperties::max_queue_length | ( | void |  | ) | const

CORBA::Long TAO_Notify_AdminProperties::max_suppliers | ( | void |  | ) | const

CORBA::Boolean TAO_Notify_AdminProperties::queue_full | ( | void |  | ) |

| Returns true if Queue is full.

TAO_Notify_Signal_Property_Long* TAO_Notify_AdminProperties::queue_length | ( | void |  | ) |

CORBA::Boolean TAO_Notify_AdminProperties::reject_new_events | ( | void |  | ) | const

void TAO_Notify_AdminProperties::set_admin | ( | const CosNotification::AdminProperties &admin | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException, CosNotification::UnsupportedAdmin )`[virtual]`

TAO_Notify_Property_Long* TAO_Notify_AdminProperties::suppliers | ( | void |  | ) |

## Member Data Documentation

TAO_Notify_Property_Long TAO_Notify_AdminProperties::consumers_`[protected]`

| These are used to count the number of consumers and suppliers connected to the system.

CORBA::Long TAO_Notify_AdminProperties::max_consumers_`[protected]`

| The maximum number of consumers that can be connected to the channel at any given time.

CORBA::Long TAO_Notify_AdminProperties::max_queue_length_`[protected]`

| The maximum number of events that will be queued by the channel before the channel begins discarding events or rejecting new events upon receipt of each new event.

CORBA::Long TAO_Notify_AdminProperties::max_suppliers_`[protected]`

| The maximum number of suppliers that can be connected to the channel at any given time.

TAO_Notify_Signal_Property_Long TAO_Notify_AdminProperties::queue_length_`[protected]`

| This is used to count the queue length across all buffers in the Notify Service to enforce the "MaxQueueLength" property.

CORBA::Boolean TAO_Notify_AdminProperties::reject_new_events_`[protected]`

| Reject any new event.

TAO_Notify_Property_Long TAO_Notify_AdminProperties::suppliers_`[protected]`

The documentation for this class was generated from the following files:

- Notify_AdminProperties.h
- Notify_AdminProperties.cpp